# $Id: interfaces.py 286 2005-12-12 16:51:00Z schluep $
# Copyright (c) 2005, Samuel Schluep, ETH Zurich. All rights reserved.
# See also LICENSE.txt

from Interface import Interface

class IGlossarizable(Interface):
    """Interface to search for glossary entries in documents.
    """

    def getGlossaryEntries():
        """Get the glossary entries as a dictionary.

        The key of the dictionary is the absolute path of the associated
        glossary entry. The value is the Glossary Entry object itself.
        """

